/* --- Buttons ---- */


.gform_wrapper form button,
.gform_wrapper form input.button {
    display: inline-block;
}

button.gpnf-add-entry,
.button.gform_next_button,
.gform_wrapper input[type="submit"] {
    padding-bottom: 0.8rem;
}

/* show checkbox */
.gform_wrapper form input[type="checkbox"] {
    -webkit-appearance: auto;
}

.gform_wrapper form [type="radio"],
.gform_wrapper form [type="checkbox"] {
    margin-left: 0;
}

.gform_wrapper form ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.gform_wrapper form .gfield {
    margin-bottom: 1em;
}

/* Formular Typografie */


/* title sizes */

/* h3 */

.gform_wrapper {
    /* --normal-form-font-size: 20px; */
    --h3-form-font-size: 1.5rem;
    --normal-form-font-size: clamp(17px, 1rem, 1rem);
    --small-form-font-size: 0.85rem;
    --small-form-font-size: clamp(15px, 0.8rem, 0.8rem);
    --smallest-form-font-size: 0.7rem;
}

.gform_wrapper form .gsection h2,
.gform_wrapper form .section-contract h2 {
    /* font-size: var(--normal-form-font-size);
    margin-top: 1em; */
    font-size: 2.4rem;
    line-height: 1.15;
    left: 0.05rem;
    margin-bottom: 2.4rem;
}


.gform_wrapper form #input_3_17 label span,
.gform_wrapper form #input_3_18 label span,
.gform_wrapper form #input_6_17 label span,
.gform_wrapper form #input_6_18 label span,
.gform_wrapper form #input_8_17 label span,
.gform_wrapper form #input_8_18 label span {
    display: block;
    font-size: var(--small-form-font-size);
}


.gform_wrapper form .gfield_label,
.gform_wrapper form .gfield_description {
    /* font-size: var(--small-form-font-size); */
    font-size: var(--normal-form-font-size);
}

.gform_wrapper form {
    font-size: var(--smallest-form-font-size);
}

.gform_wrapper form .gfield_description,
.gform_wrapper form .gfield_radio>li label {
    font-weight: 700;
}

/* custom font sizes */
.gform_wrapper select,
.gform_wrapper input {
    font-size: var(--normal-form-font-size);
}

@media (max-width: 1200px) {

    /* h3 */
    .gform_wrapper form ul#gform_fields_3>li.gfield>label.gfield_label,
    .gform_wrapper form ul#gform_fields_6>li.gfield>label.gfield_label,
    .gform_wrapper form ul#gform_fields_8>li.gfield>label.gfield_label {
        font-size: clamp(17px, 2rem, 2rem);
    }

}

@media screen and (max-width: 575px) {
    /* h3 */
    .gform_wrapper form ul#gform_fields_3>li.gfield>label.gfield_label,
    .gform_wrapper form ul#gform_fields_6>li.gfield>label.gfield_label,
    .gform_wrapper form ul#gform_fields_8>li.gfield>label.gfield_label {
      font-size: clamp(17px, 1.6rem, 1.6rem);
    }
}


.gform_wrapper form .gfield_radio>li,
.gform_wrapper form .gfield_checkbox>li {
    display: -ms-flexbox;
    display: flex;
    margin-top: 1em;
}

.gform_wrapper form .gfield_radio>li input,
.gform_wrapper form .gfield_checkbox>li input {
    -ms-flex-positive: 1;
    flex-grow: 1;
}

.gform_wrapper form .gfield_radio>li label,
.gform_wrapper form .gfield_checkbox>li label {
    width: 95%;
    /*  */
    margin-left: 10px;
}



.gform_wrapper form .gfield_description,
.gform_wrapper form .gfield_radio>li label span {
    font-weight: 400;
    display: block;
    border: 1px solid #107DB1;
    padding: 1em;
    background-color: #FFF;
    /* margin-top: 1em; */
    /*  */
    border: none;
    padding-top: 0;
    padding-right: 0;
    padding-left: 0;
    margin-top: 5px;
}

.gform_wrapper form .gfield_description.validation_message {
    padding: 0;
    border: none;
    background-color: transparent;
}

.gform_wrapper form .gfield_required {
    padding-left: 3px;
    color: #107DB1;
}

.gform_wrapper form .instruction {
    display: none;
}

.gform_wrapper form .validation_message,
.gform_wrapper form .validation_error {
    color: red;
}

.gform_wrapper form input[type="button"],
.gform_wrapper form input[type="submit"] {
    margin-bottom: 10px;
}

.gform_wrapper form textarea {
    width: 100%;
    height: 100px;
}

.gform_wrapper form .gpnf-nested-entries-container {
    width: 100%;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-nested-entries-entry {
    padding: 10px;
    background-color: #f4f4f4;
    margin-bottom: 1em;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-entry-control {
    display: inline-block;
    float: right;
    background-color: #107DB1;
    padding: 3px 5px;
    margin-left: 3px;
    border-radius: 3px;
    /* neu */
    display: flex;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-entry-control a {
    color: #FFF;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-value {
    font-weight: bold;
    margin-bottom: .5em;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-value:empty,
.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-value:empty+div {
    display: none;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-value-14,
.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-value-17 {
    margin-bottom: 0;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-value-14:after {
    content: ": ";
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field:nth-child(4) {
    display: none;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field:nth-child(3),
.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field:nth-child(3) .gpnfc-field-value,
.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field:nth-child(5),
.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field:nth-child(5) .gpnfc-field-value {
    display: inline;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-label {
    -ms-flex-order: -1;
    order: -1;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-label-14,
.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-label-17,
.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-label-18 {
    display: none;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-label-34 {
    margin-top: 1em;
}

.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-value[data-bind*=f17] span,
.gform_wrapper form .gpnf-nested-entries-container .gpnfc-field-value[data-bind*=f18] span {
    display: none !important;
}

.gform_wrapper form #field_1_9 .gfield_required,
.gform_wrapper form #field_5_9 .gfield_required,
.gform_wrapper form #field_7_9 .gfield_required {
    display: none;
}

.gform_wrapper form #field_1_9 ol,
.gform_wrapper form #field_5_9 ol,
.gform_wrapper form #field_7_9 ol {
    padding-left: 20px;
}

.gform_wrapper form #field_1_17>label,
.gform_wrapper form #field_5_17>label,
.gform_wrapper form #field_7_17>label {
    display: none;
}

.gform_wrapper form ul#gform_fields_3>li.gfield,
.gform_wrapper form ul#gform_fields_6>li.gfield,
.gform_wrapper form ul#gform_fields_8>li.gfield {
    padding-bottom: 1em;
    border-bottom: 1px solid rgba(16, 125, 177, 0.4);
}

.gform_wrapper form #input_3_17 label span,
.gform_wrapper form #input_3_18 label span,
.gform_wrapper form #input_6_17 label span,
.gform_wrapper form #input_6_18 label span,
.gform_wrapper form #input_8_17 label span,
.gform_wrapper form #input_8_18 label span {
    display: block;
}

.gform_wrapper form #field_3_20 button,
.gform_wrapper form #field_3_20 input.button,
.gform_wrapper form #field_3_32 button,
.gform_wrapper form #field_3_32 input.button,
.gform_wrapper form #field_6_20 button,
.gform_wrapper form #field_6_20 input.button,
.gform_wrapper form #field_6_32 button,
.gform_wrapper form #field_6_32 input.button,
.gform_wrapper form #field_8_20 button,
.gform_wrapper form #field_8_20 input.button,
.gform_wrapper form #field_8_32 button,
.gform_wrapper form #field_8_32 input.button {
    width: auto;
}

.gform_wrapper form .gpnfc-field-label-37 {
    display: none;
}

.gform_wrapper form .gpnfc-field-value-37 tbody td:nth-child(3):empty,
.gform_wrapper form .gpnfc-field-value-37 tbody td:nth-child(4):empty {
    display: none;
}

.gform_wrapper form .gpnfc-field-value-37 thead th:nth-child(4) {
    display: none;
}

.gform_wrapper form .gpnfc-field-value-37 td {
    background-color: #FFF;
}

.gform_wrapper form #field_3_37 thead th:nth-child(4),
.gform_wrapper form #field_6_37 thead th:nth-child(4),
.gform_wrapper form #field_8_37 thead th:nth-child(4) {
    display: none;
}

.gform_wrapper form #field_3_37 td,
.gform_wrapper form #field_6_37 td,
.gform_wrapper form #field_8_37 td {
    padding: .5em;
    background-color: #FFF;
}

.gform_wrapper form #field_3_37 input,
.gform_wrapper form #field_3_37 select,
.gform_wrapper form #field_6_37 input,
.gform_wrapper form #field_6_37 select,
.gform_wrapper form #field_8_37 input,
.gform_wrapper form #field_8_37 select {
    width: 200px;
}

.gform_wrapper form #field_3_37 input.datepicker,
.gform_wrapper form #field_3_37 select.datepicker,
.gform_wrapper form #field_6_37 input.datepicker,
.gform_wrapper form #field_6_37 select.datepicker,
.gform_wrapper form #field_8_37 input.datepicker,
.gform_wrapper form #field_8_37 select.datepicker {
    display: inline-block;
    width: 100px !important;
}

.gform_wrapper form #input_9_6>li,
.gform_wrapper form #input_10_6>li,
.gform_wrapper form #input_11_6>li {
    margin-top: 0;
}

.gform_wrapper form #input_9_29>li,
.gform_wrapper form #input_10_29>li,
.gform_wrapper form #input_11_29>li {
    margin-top: 0;
}




@media screen and (min-width: 640px) {
    .gform_wrapper form .ginput_container_radio {
        display: inline-block;
        vertical-align: middle;
    }
}


/* ---- Custom Styles ----- */

/* offenes Formular */
.tingle-modal .gpnf-modal .gpnf-modal-header {
    background-color: #3498db;
    height: auto;
    display: flex;
    padding-top: 10px;
    padding-bottom: 10px;
    line-height: 1.2;
}

.tingle-modal .tingle-modal-box__content,
.tingle-modal.gpnf-modal .gpnf-modal-header {
    display: block;
}

.tingle-modal::before {
    /* scroll wird auch unscharf, nicht schön */
    backdrop-filter: none !important;
}

.tingle-modal {
    background-color: #333333ac;
}


/* offenes Formular : Felder */

.gform_wrapper textarea, 
.gform_wrapper select, 
.gform_wrapper input:not([type="radio"], [type="checkbox"]),
.gform_wrapper form input[type="submit"] {
    border: 0.075rem solid #CFCFCF;
    padding: 0.75rem 0.75rem 0.75rem 1.2rem;
    font-size: 1rem;
    font-size: clamp(17px, 1rem, 1rem);
    width: 100%;    
}

.gform_wrapper form label.gfield_label {
    font-weight: 700;
    /*  */
    font-size: var(--h3-form-font-size);
    margin-bottom: 0.25rem;
    display: block;
    /* quform style */
    line-height: 1.67;
    font-weight: bold;
    font-size: clamp(17px, 17px, 0.85rem);
    color: #646464;
}


/* radio button */

.gchoice input[type="radio"] {
    /* letter-spacing: normal;
    word-spacing: normal;
    line-height: normal;
    text-transform: none;
    text-indent: 0px;
    text-shadow: none;
    display: inline-block;
    text-align: start; */
    appearance: auto;
    /* cursor: text; */
    /* background-color: field;
    margin: 0em;
    padding: 1px 2px;
    border-width: 2px;
    border-style: inset;
    border-color: rgb(133, 133, 133);
    border-image: initial; */
    accent-color: var(  --color-secondary1);
    background: var(--color-secondary1);
    cursor: pointer;
}


/* Button */
button.gpnf-add-entry,
.button.gform_next_button,
.gform_wrapper input[type="submit"] {
    font-size: var(--button-font-size);
    font-weight: bold;
    display: inline-block;
    color: var(--color-font);
    transition: var(--transition);
    cursor: pointer;
    /* reset html button */
    border: 0;
    padding: 0;
}

button.gpnf-add-entry,
.button.gform_next_button,
.gform_wrapper input[type="submit"] {
    padding: .6rem 1.8rem;
    border-radius: 4rem;
    box-shadow: inset 0 0 0 0.05rem var(--color-font);
}

button.gpnf-add-entry,
.button.gform_next_button,
.gform_wrapper input[type="submit"] {
    background: var(--color-font);
    color: white;
}


button.gpnf-add-entry:hover,
.button.gform_next_button:hover,
.gform_wrapper input[type="submit"]:hover {
    background-color: var(--page-color);
    box-shadow: inset 0 0 0 0.05rem var(--page-color);
    /*  */
    color: var(--color-font-on-background);
}


/* ghost button */
input.gform_previous_button {
    font-size: var(--button-font-size);
    font-weight: bold;
    display: inline-block;
    color: var(--color-font);
    transition: var(--transition);
    cursor: pointer;
    border: 0;
    background: none;
    color: var(--color-font);
    padding: .6rem 1.8rem;
    border-radius: 4rem;
    box-shadow: inset 0 0 0 0.05rem var(--color-font);
}

.gform_previous_button:hover {
    box-shadow: inset 0 0 0 0.1rem var(--color-font);
}

.wpk_background_page_color .gform_previous_button:hover {
    box-shadow: inset 0 0 0 0.1rem var(--color-font-on-background);
}

@media screen and (max-width: 767px) {

    button.gpnf-add-entry,
    .button.gform_next_button,
    .gform_wrapper input[type="submit"] {
        font-size: var(--small-text);
    }

}

button.gpnf-add-entry {
    padding: 0.75rem 0.75rem 0.75rem 1.2rem;
    font-size: clamp(17px, 1rem, 1rem);
    width: 100%;
    background-color: var(--page-color);
}

input#gform_next_button_8_19 {
    font-size: var(--button-font-size);
    width: auto;
    padding: .6rem 5.8rem;
    border-radius: 4rem;
    box-shadow: inset 0 0 0 0.05rem var(--color-font);
}